import * as React from 'react';
import {
  render,
  screen,
} from '@testing-library/react';
import '@testing-library/jest-dom';
import {
  Badge,
} from '.';

jest.mock('@tesseract-design/web-base-badge');

describe('Badge', () => {
  it('should render a badge', () => {
    render(
      <Badge />
    );
    const button: HTMLButtonElement = screen.getByTestId('badge');
    expect(button).toBeInTheDocument();
  });

  it('should render a rounded badge', () => {
    render(
      <Badge
        rounded
      />
    );
    const button: HTMLButtonElement = screen.getByTestId('badge');
    expect(button).toBeInTheDocument();
  });
});
